import '@firebase/auth';
import '@firebase/firestore';
import { FirebaseOptions } from '@firebase/app-types';
import springtree_solutionsEvaSuiteUiEvaLogin from '@bit/springtree_solutions.eva-suite-ui.eva-login';
/**
 * The parameters needed to resolve an endpoint using the customer manager
 *
 * @export
 * @interface IEvaCustomerManagerParameters
 */
export interface IEvaCustomerManagerParameters {
    firebaseConfig: FirebaseOptions;
    loginWidget: springtree_solutionsEvaSuiteUiEvaLogin;
}
/**
 * Tries to retrieve an endpoint from the EVA customer manager
 * This will present a number of choices to the user and requires an OAuth login
 *
 * @returns {(Promise<string|undefined>)}
 */
export declare const getEndpointFromEvaCustomerManager: (options: IEvaCustomerManagerParameters) => Promise<string | undefined>;
//# sourceMappingURL=customer-manager.d.ts.map