import { Observable } from 'rxjs';
/**
 * Helper method to create an observable for a path within the Redux store
 * Will only trigger when value set and has changed since previous emit
 *
 * @export
 * @template SVC The service the path points to
 * @template STORE The store shape to pull the service from
 * @param {Observable<STORE>} store$ The observable store data
 * @param {string} path The path to the service
 * @returns {Observable<SVC>}
 */
export declare function createObservableForPath<SVC, STORE>(store$: Observable<STORE>, path: string): Observable<SVC>;
//# sourceMappingURL=pathObservable.d.ts.map